package webwisdom.tango.pim;


import java.rmi.*;
import java.io.*;
import java.util.*;

public interface PIM extends java.rmi.Remote
{
  public int		getUserId() throws java.rmi.RemoteException;
  public Community[]	getAllowedCommunities(int uid) throws java.rmi.RemoteException;
  public String		identifyUser(int uid) throws java.rmi.RemoteException;
  
  public byte[] 	getRegDta(RegKey key) throws java.rmi.RemoteException;
  public Hashtable 	getRegDta(RegKey[] keys) throws java.rmi.RemoteException;
  public void 		setRegDta(RegEntry entry) throws java.rmi.RemoteException;
  public void 		setRegDta(RegEntry[] entries) throws java.rmi.RemoteException;
  
  public byte[] 	getUserProperty(int uid,String key) throws java.rmi.RemoteException;
  public Hashtable 	getUserProprties(int uid,String[] keys) throws java.rmi.RemoteException;
  public void 		setUserProperty(int uid,String key,byte value[]) throws java.rmi.RemoteException;
  
  public int[]		getCommunityUsers(int cid) throws java.rmi.RemoteException;;
}




